%define texmf     %{_datadir}/texmf
%define tdsname   kerkis
%define fontpath  kerkis

Name:           tetex-font-kerkis
Version:        2.0
Release:        2
Epoch:          0
Summary:        The Kerkis type 1 fonts for LaTeX

Group:          Applications/Publishing
License:        Distributable
URL:            http://iris.math.aegean.gr/software/kerkis/Kerkis_for_LaTeX.html
Source0:        http://iris.math.aegean.gr/kerkis/Kerkis_for_LaTeX.zip
Source1:        kerkis-test.tex
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tetex-latex
Requires(post): tetex
Requires(postun): tetex
BuildArch:      noarch

%description
This package contains the Kerkis type 1 fonts for LaTeX. 

These fonts are particularly useful for typesetting Greek. The
Greek repertoire includes full support for polytonic Greek, Greek
numerals, and double forms of several letters that occur in variant
forms.

The Latin part of the font comprise old style numbers, accented Latin
characters and common ligatures (including frequently omitted
ligatures such as "fj").

Please see the file "License.html" for details on the use of this font.


%prep
%setup -q -n kerkis-11062003


%build


%install
rm -rf $RPM_BUILD_ROOT
 
mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}
install -p -m 644 tex/{*.sty,*.fd} $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/fonts/{tfm,type1,vf}/%{fontpath}
install -p -m 644 tfm/*.tfm $RPM_BUILD_ROOT%{texmf}/fonts/tfm/%{fontpath}/
install -p -m 644 type1/*.pfb $RPM_BUILD_ROOT%{texmf}/fonts/type1/%{fontpath}/
install -p -m 644 vf/*.vf $RPM_BUILD_ROOT%{texmf}/fonts/vf/%{fontpath}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/dvips/%{tdsname}
install -m 644 dvips/{*.map,*.enc} $RPM_BUILD_ROOT%{texmf}/dvips/%{tdsname}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr %{texmf}
/usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --enable Map kerkis.map

%postun
if [ "$1" = "0" ]; then
  /usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --disable kerkis.map
fi
/usr/bin/mktexlsr %{texmf}


%files
%defattr(-,root,root,-)
%doc License.txt README.html
%{texmf}/tex/latex/%{tdsname}
%{texmf}/fonts/tfm/%{fontpath}
%{texmf}/fonts/type1/%{fontpath}
%{texmf}/fonts/vf/%{fontpath}
%{texmf}/dvips/%{tdsname}


%changelog
* Wed May  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.0-0.fdr.2
- Added kerkis-test.tex test document (bug 998).
- Moved preun script to postun (bug 998).
- Split Requires(post,postun) into separate Require statements (bug 998).

* Sun Nov 16 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:2.0-0.fdr.1
- Initial RPM release.
